require 'page-object'

class Carousel
  include PageObject

  button(:leftArrow, :css => "div[id='carousel'] button.left")
  button(:rightArrow, :css => "div[id='carousel'] button[ng-click='next()']")
  div(:carousel, :id => "carousel")

  def getPaginationAltText()
    self.class.element(:pagination, :li, :css => "div.carousel.ng-isolate-scope li.active")
    return self.pagination_element.attribute("alt")
  end

  def getActiveGraphDataLabel()
    self.class.span(:graphDataLabel, :css => "div.carousel-inner div.dashboard.active div.highcharts-data-labels span")

   return self.graphDataLabel_element.text
  end

end