require 'page-object'
require_relative '../../lib/helper/common_element'
require 'rspec'

class Error_Validation
  include PageObject

 h5(:errorSummaryHeader, :css => ".validation-summary h5")
 elements(:errors, :li, :css => ".validation-summary ul li")

 def isErrorMsgDisplayed?(errorMsg)
    isDisplayed = false

   errors_elements.each_with_index do | error, i |
     if(errors_elements[i].text == errorMsg)
      isDisplayed = true
      #puts "Actual error mssage [ " + errors_elements[i].text + " ]"
      break
    end
   end

   return isDisplayed

 end

  def getFocusedElement()
    return element_with_focus
  end


end