require 'page-object'
require_relative '../../../lib/helper/common_element'

class FitnessActivity < Common_Element
  include PageObject
  text_field(:duration, :name => "minutes")
  text_field(:steps, :name => "steps")
  text_field(:distance, :name => "miles")
  select_list(:activitySelect, :name => "activitySelect")
  select_list(:intensitySelect, :name => "intensitySelect")
  text_area(:notes, :name => "Notes")
  span(:characterCounter, :css => "span.character-counter")

  button(:intensityRating, :css => "span[ng-click='labelIcon.right.onClick()']")

  def isDeleteButtonFocused?()
    element = element_with_focus
    return ( element == self.delete_element )
  end
end