require 'page-object'
require_relative '../../../lib/helper/common_element'

class ListView < Table
  include PageObject
  #glucose
  select_list(:testedSelect, :name => "tested")

  #options for phone user
  button(:graphOption, :css => "button[title='Graph'][ng-click='button.onClick(true)']")
  button(:tableOption, :css => "button[title='Table'][ng-click='button.onClick(true)']")
  button(:notificationOption, :css => "button[title*='Notification'][ng-click='button.onClick(true)']")

  #moodsel
  def getIconClassForRowCol(row, col)
    self.class.element(:cell, :i, :css => "list-table div.table-scroll-container ul li:nth-of-type(" + row.to_s + ") span:nth-of-type(" +  col.to_s + ") .cell-content .icon")

    return self.cell_element.attribute("class")
  end

end