require 'page-object'
require_relative '../../../lib/helper/accordion_helper'

class Fitness < AccordionHelper
  include PageObject
  CARDIAC_REHAB_TOPICS_URL = "http://www.heart.org/HEARTORG/Conditions/More/CardiacRehab/CardiacRehab_UCM_002079_SubHomePage.jsp#mainContent"
  AHA_URL = "http://www.heart.org/HEARTORG/Conditions/More/CardiacRehab/Cardiac-Rehab_UCM_002079_SubHomePage.jsp#mainContent"
  ACC_URL = "https://www.cardiosmart.org/Healthwise/hw22/9962/hw229962"
  AACVPR_URL = "https://www.aacvpr.org/CardiacRehabilitationPatients/tabid/503/Default.aspx"
  PREVENTIVE_CARDIO_NURSE_ASSO_URL = "http://pcna.net/patients---preventive-cardiovascular-nurses-association"

  link(:cardiacRehabTopicLink, :css => "a.fitness-cardiac-rehab")
  link(:fitnessAHALink, :css => "a.fitness-aha")
  link(:fitnessACCLink, :css => "a.fitness-acc")
  link(:fitnessAACVPRLink, :css => "a.fitness-aacvpr")
  link(:fitnessPCNALink, :css => "a.fitness-pcna")

end