require 'page-object'

class LeftSideNav
  include PageObject

  button(:leftMenu, :id => 'nav-menu-toggle-btn')
  button(:home, :id => 'Home')
  button(:fitness_activity, :id => 'FitnessActivity')
  button(:health, :id => 'Health')
  button(:support, :id => 'Support')
  button(:learnMore, :id => 'LearnMore')
  button(:notifications, :id => 'Notifications')
  h2(:title, :css => 'div.panel-header h2.panel-title')
  elements(:appOptions, :li,  :css =>".snap-drawer-left ul.panel-menulist li")

  def getNthOption(number)
    return appOptions_elements[number - 1].text
  end

end