require 'page-object'
require_relative '../../../lib/helper/accordion_helper'

class Support < AccordionHelper
  include PageObject

  button(:mindfulness, :css => 'button.mindfulness')
  button(:pplLikeYou, :css => 'button.people-like-you')
  button(:familyFriends, :css => 'button.family-and-friends')
  button(:healthProviders, :css => 'button.health-providers')

  div(:textSection, :css => 'div[ng-include="sectionTemplate"]')
  link(:mendedHeartsLink, :css => 'a[ng-click="openMendedHearts()"]')
  link(:myVaHealthLink, :css => 'a[ng-click="openMvahLink()"]')
end