def updateNotificationPreference(email, optIn, timeZone)
  @notifications.notificationSettingButton_element.when_visible
  @notifications.notificationSettingButton

  @notifications.contentLoaded_element.when_present(timeout=10)
  @notification_setting.email = email
  @notification_setting.select_receiveMsgOption(optIn)
  @notification_setting.timeZoneSelect = timeZone

  @notification_setting.save2_element.when_visible
  @notification_setting.save2

  @notifications.contentLoaded_element.when_present(timeout=15)
  expect(@notifications.notificationSettingButton_element.focused?).to eq(true)

end

def login_EndsOnNotificationPreference(userName, password, userId )
  firstName = userName.split('.')[1]
  lastName = userName.split('.')[0]

  Watir::Wait.until {@eula.accept_element.exists?}
  @eula.accept_element.when_visible
  @eula.accept

  @landing.login_element.when_visible
  @landing.login

  Watir::Wait.until {@login.login_element.exists?}

  expect(@landing.appTitle).to eq("Department of Veterans Affairs")

  @login.login_with(userName, password, userId)
  @landing.appTitle_element.when_visible

end

def navigateToNotifications()
  @leftNav.leftMenu_element.when_visible
  @leftNav.leftMenu

  @leftNav.notifications_element.when_visible
  @leftNav.notifications

  @notifications.contentLoaded_element.when_present(timeout=10)

  @notifications.primaryHeader_element.when_visible
  expect(@notifications.secondaryHeader_element.text).to eq("Notifications")
  expect(@notifications.primaryHeader_element.text).to eq("Notifications")
end

def navigateToNotificationOption(notificationOption)
  if notificationOption == "All Notifications"
    @notifications.allNotifications_element.when_visible
    @notifications.allNotifications
  elsif notificationOption == "VA FitHeart App Notices"
    @notifications.vaFitHeartAppNotices_element.when_visible
    @notifications.vaFitHeartAppNotices
  elsif notificationOption == "VA Health Messages"
    @notifications.vaHealthMsgs_element.when_visible
    @notifications.vaHealthMsgs
  end

  @notifications.contentLoaded_element.when_present(timeout=10)
end