define(['angular', 'app'], function (angular, app) {
	"use strict";

    app.service('HealthMoodService', function (AbstractHealthMoodService, HealthMoodServiceConstants) {
		var HealthMoodService = {};

		HealthMoodService.instances = {};

		HealthMoodService.instance = function (key) {
			if (!HealthMoodService.instances[key]) {
				HealthMoodService.instances[key] = new AbstractHealthMoodService(HealthMoodServiceConstants[key].extensions);
			}

			return HealthMoodService.instances[key];
		}

		return HealthMoodService;
	});
});