define(['angular', 'app'], function (angular, app) {
	"use strict";

	app.service('WeeklyGoalsService', function (AbstractWeeklyGoalsService, HomePageConstants) {
		var WeeklyGoalsService = {};
		WeeklyGoalsService.instances = {};

		WeeklyGoalsService.instance = function(){
			if(!WeeklyGoalsService.instances.goals) {
				WeeklyGoalsService.instances.goals = new AbstractWeeklyGoalsService(HomePageConstants['weekly-goals'].extensions);
			}

			return WeeklyGoalsService.instances.goals;
		};

		return WeeklyGoalsService;
	});
});