define(['app'], function (app) {
	'use strict';

	app.controller('HelpController', function ($scope, $modalInstance, focusService) {

		$scope.$watch(function () {
			return $('div.modal-header h3').is(":visible");
		}, function (isVisible, wasVisible) {
			if (isVisible && !wasVisible) {
                focusService.focusElement($('div.modal-header h3'));
			}
		});

		$scope.ok = function () {
			$modalInstance.close();
		};

		$scope.showUserGuide = function () {
			window.open("src/ui-components/modals/help/guide/guide.html", "_blank", "location=no,scrollbars=1,resizable=1");
		};

		$scope.showFeedbackPage = function () {
			window.open("https:", "_blank");
		};
	});
});