require 'page-object'
require_relative '../../../lib/helper/table'


class FitnessListView < Table
  include PageObject

  button(:add, :css => "button[ng-click='getDetails()']")
  h3(:goalTitle, :css => ".welcome > h3")
  div(:goalStatus, :css => ".welcome > div:nth-of-type(1)")

  #graph section
  div(:graphSection, :css => 'div[ng-include="\'src/modules/home/graphs/goal-graphs_template.html\'"]')
  p(:minutesAltText, :css => '.graph1')
  p(:stepsAltText, :css => '.graph2')
  p(:milesAltText, :css => '.graph3')

  element(:trophyIcon, :i, :css => "i.icon-trophy")
  button(:weeklyActivityGoals, :css => "button[title='Weekly Activity Goals']")
  button(:weeklyActivityGoalsOption, :css => "button[title='Goals'][ng-click='button.onClick()']")
  button(:graphOption, :css => "button[title='Graph'][ng-click='button.onClick(true)']")
  button(:tableOption, :css => "button[title='Table'][ng-click='button.onClick(true)']")
  button(:notificationOption, :css => "button[title*='Notification'][ng-click='button.onClick(true)']")
end