require 'page-object'
require_relative '../../pages/modal_dialog'

class SelectMoodRate < Modal
  include PageObject
  element(:veryBadIcon, :i, :css => "i.icon-mood-verybad")
  element(:badIcon, :i, :css => "i.icon-mood-bad")
  element(:neutralIcon, :i,  :css => "i.icon-mood-neutral")
  element(:goodIcon, :i, :css => "i.icon-mood-good")
  element(:veryGoodIcon, :i, :css => "i.icon-mood-verygood")

  element(:slider, :input, :css =>  "input[name='mood']")
  span(:instructionalText, :name => "moodLabel")
  span(:inputRangeKeyText, :css => ".input-range-key")

  def moveMoodRangeToRight(numberofArrowMove)
    slider_element.send_keys :tab

    sleep 1
    for i in 1..numberofArrowMove
      slider_element.send_keys :arrow_right
      sleep 1
    end
  end

  def moveMoodRangeToLeft(numberOfArrowMove)
    slider_element.send_keys :tab
    sleep 1
    for i in 1..numberOfArrowMove
      slider_element.send_keys :arrow_left
      sleep 1
    end
  end


end