require 'page-object'
require_relative '../../lib/helper/common_element'

class Launchpad < Common_Element
  include PageObject

  h1(:launchpadHeader, :css => 'div.ui-page > div.ui-header > h1')
  link(:mvahLink, :css => 'a[href="/my-va-health"]')
  link(:socLink, :css => 'a[href="/summary-of-care"]')
  link(:jmbbLink, :css => 'a[href="/mbb2"]')
  link(:fitHeart, :css => 'a[href="/fit-heart"]')
  image(:fitHeartIcon, :css => 'img[src="../fit-heart/assets/images/app-icons/apple-touch-icon-72x72-precomposed.png"]')
  button(:lpAccept, :id => 'accept-btn')
  button(:lpDecline, :id => 'decline-btn')
  link(:logout, :css => 'a[href="../logout"] span' )
  span(:socLoggedIn, :css => '.username-bar-primary > span')
  ul(:footer, :css => '.username-bar')
end
