require 'page-object'
require_relative '../../../lib/helper/common_element'

class LearnMore < Common_Element
  include PageObject

  button(:fitness, :css => 'button.fitness')
  button(:health, :css => 'button.health')
  button(:nutrition, :css => 'button.nutrition')
  button(:mood, :css => 'button.mood')

  element(:learnMoreFitnessIcon, :i ,:css => "i.icon-learnmore-fitness")
  element(:learnMoreHealthIcon, :i, :css => "i.icon-learnmore-health")
  element(:learnMoreNutritionIcon, :i, :css => "i.icon-learnmore-nutrition")
  element(:learnMoreMoodIcon, :i, :css => "i.icon-learnmore-mood")
end