require 'page-object'
require_relative '../../../lib/helper/common_element'

class NotificationListView < Table
  include PageObject

  select_list(:sourceSelect, :name => "source")
  span(:sourceLabel, :name => "sourceLabel")
  element(:statusLabel, :legend, :css => "fieldset.status-filter-wrapper legend")
  radio_button_group(:status, :name => "statusOption")
  element(:iconDotIndicator, :i, :css => ".icon-dot-indicator")

  def isUnreadIconDisplayed(row)
    self.class.element(:iconIndicator, :i, :css => "div.list-table ul li:nth-of-type(" + row.to_s + ") span:nth-of-type(1) i.icon-dot-indicator")
    return self.iconIndicator?
  end

end