define(['angular', 'app'], function (angular, app) {
	'use strict';

	app.controller('HealthMoodNavController', function ($scope, $filter, $state, $stateParams, HealthMoodService) {
		angular.forEach($state.current.data.paramSections, function(section) {
			if (!section.service) {
				section.service = HealthMoodService.instance(section.paramValue);
				if (section.service.config.object.supportsLatest && !section.service.latest) {
					section.service.getLatest();
				}
			}
		});
	});
});